function showHideItemOnCheckbox(sender, itemId)
{
	if (sender) {
		var item = document.getElementById(itemId);
		if (item) {
			item.style.display = sender.checked ? 'block' : 'none';
			disableEnableCheckBoxes(itemId, !sender.checked);
		}	//if
	}	//if
};

function disableEnableCheckBoxes(parentElementId, areDisabled) {
	var parentElement = document.getElementById(parentElementId);
	if (parentElement) {
		var inputs = parentElement.getElementsByTagName('input');
		if (inputs) {
			for (var i = 0; i < inputs.length; i++) {
				if (inputs[i].type == 'checkbox') {
					inputs[i].disabled = areDisabled;
				}	//if
			}	//for
		}	//checkboxes
	}	//parent
}

function showHideItemOnCheckboxId(checkBoxId, itemId)
{
	var checkBoxElement = document.getElementById(checkBoxId);
	if (checkBoxElement) {
		var item = document.getElementById(itemId);
		if (item) {
			item.style.display = checkBoxElement.checked ? 'block' : 'none';
			disableEnableCheckBoxes(itemId, !checkBoxElement.checked);
		}	//if
	}	//if
};
